Apache Tomcat 6.0.53

## org.apache.tomcat.jni
Class LibraryNotFoundError

    java.lang.Object
      java.lang.Throwable
          java.lang.Error
              java.lang.LinkageError
                  java.lang.UnsatisfiedLinkError
                      org.apache.tomcat.jni.LibraryNotFoundError

All Implemented Interfaces:
  java.io.Serializable

    public class LibraryNotFoundError

extends java.lang.UnsatisfiedLinkError

See Also:
  Serialized Form

Constructor Summary
`LibraryNotFoundError(java.lang.String libraryNames, java.lang.String errors)`

Method Summary
`java.lang.String` | `getLibraryNames()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LibraryNotFoundError

    public LibraryNotFoundError(java.lang.String libraryNames,
                                java.lang.String errors)

Parameters:
  `libraryNames` - A list of the file names of the native libraries that failed to load
  `errors` - A list of the error messages received when trying to load each of the libraries

Method Detail

### getLibraryNames

    public java.lang.String getLibraryNames()

Apache Tomcat 6.0.53

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.